Source: toolchain-source
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.2)
Standards-Version: 3.5.2

Package: toolchain-source
Depends: dpkg-awk, dpkg-cross (>=1.17), m4, devscripts, wget
Recommends: tar (>= 1.13.18), autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, dejagnu (>= 1.4.3), expect (>= 5.38.0), debhelper (>= 4.1), bison (>= 1:1.875a-1), flex, gettext, texinfo (>= 4.3), zlib1g-dev, xlibs-dev, libncurses5-dev, libgmp3-dev, bzip2, gperf (>= 2.7-3), doxygen, sharutils, dpatch, tetex-bin, libreadline4-dev (>= 4.2a-1), gobjc, cdbs (>= 0.4.17), quilt (>= 0.30-1)
Suggests: gcc-3.2, binutils (>=2.13.90.0.4)
Architecture: all
Description: The GNU binutils and gcc source code
 This is the GNU toolchain source code that can be used to produce the
 GNU compilers, assembler, linker, and binary utilities. It is used by
 the different cross-compiler packages so that this source code does not
 need to be duplicated in all of them. You might also use this package
 to compile your own version of the toolchain if you need some special
 compile-time options applied.
 .
 This package also contains two scripts, tpkg-make and tpkg-update, to
 automatically create and update crosscompiler-packages for any target
 architecture supported upstream. They are described in 
 /usr/share/doc/toolchain-source/README.

Package: toolchain-source-gdb
Depends: toolchain-source (= ${Source-Version})
Recommends: autoconf, libtool, libreadline4-dev (>= 4.2a-1), libncurses5-dev, bison, gettext, debhelper (>= 4.1.46)
Architecture: all
Description: The GNU gdb source code
 This is the GNU debugger gdb source code.
 .
 This package is only useful if you want to compile gdb yourself and not
 use the precompiled version available for native debugging. This might
 be the case if you are for example developping for a non native
 platform or if you need some specific build time options.
 .
 This package requires toolchain-source to build the packaged source code.

Package: toolchain-source-newlib
Depends: toolchain-source (= ${Source-Version})
Architecture: all
Description: The newlib source code
 Newlib is a C library intended for use on embedded systems. It is a 
 conglomeration of several library parts, all under free software licenses 
 that make them easily usable on embedded products.
 .
 This package contains the sourcecode of newlib and can be compiled for a 
 wide array of processors. Newlib will usually work on any architecture with 
 the addition of a few low-level routines.
 .
 This package requires toolchain-source to build the packaged source code.
